LIVE-HELPER(7)

NAME
live-helper - the Debian Live tool suite

SYNOPSIS
lh_* [-h|--help] [-u|--usage] [-v|--version]

DESCRIPTION
live-helper is used to help you build a Debian Live system. The philosophy behind live-helper is to provide a collection of small, simple, and easily understood tools that are used on a config directory to automate all aspects of building a Debian Live image.

LIVE-HELPER COMMANDS
Here is the complete list of available live-helper commands. See their man pages for additional documentation.

lh(1)
    generic live-helper wrapper

lh_binary(1)
    meta-helper for lh_binary_*

lh_binary_chroot(1)

lh_binary_debian-installer(1)

lh_binary_disk(1)

lh_binary_encryption(1)

lh_binary_grub(1)

lh_binary_includes(1)

lh_binary_iso(1)

lh_binary_linux-image(1)

lh_binary_local-hooks(1)

lh_binary_local-includes(1)

lh_binary_local-packageslists(1)

lh_binary_manifest(1)

lh_binary_md5sum(1)

lh_binary_memtest(1)

lh_binary_net(1)

lh_binary_rootfs(1)

lh_binary_syslinux(1)

lh_binary_tar(1)

lh_binary_usb-hdd(1)

lh_binary_yaboot(1)

lh_bootstrap(1)
    meta-helper for lh_bootstrap_*

lh_bootstrap_cache(1)

lh_bootstrap_cdebootstrap(1)

lh_bootstrap_copy(1)

lh_bootstrap_debootstrap(1)

lh_build(1)
    meta-helper for lh_bootstrap, lh_chroot, lh_binary, and lh_source

lh_chroot(1)
    meta-helper for lh_chroot_*

lh_chroot_apt(1)

lh_chroot_cache(1)

lh_chroot_debianchroot(1)

lh_chroot_devpts(1)

lh_chroot_dpkg(1)

lh_chroot_hacks(1)

lh_chroot_hooks(1)

lh_chroot_hostname(1)

lh_chroot_hosts(1)

lh_chroot_interactive(1)

lh_chroot_linux-image(1)

lh_chroot_local-hooks(1)

lh_chroot_local-includes(1)

lh_chroot_local-packages(1)

lh_chroot_local-packageslists(1)

lh_chroot_local-preseed(1)

lh_chroot_localization(1)

lh_chroot_packages(1)

lh_chroot_packageslists(1)

lh_chroot_preseed(1)

lh_chroot_proc(1)

lh_chroot_resolv(1)

lh_chroot_sources(1)

lh_chroot_symlinks(1)

lh_chroot_sysfs(1)

lh_chroot_sysv-rc(1)

lh_chroot_sysvinit(1)

lh_chroot_tasks(1)

lh_clean(1)
    clean up build directories

lh_config(1)
    create configuration directory

lh_source(1)
    meta-helper for lh_source_*

lh_source_debian(1)

lh_source_debian-live(1)

lh_source_disk(1)

lh_source_iso(1)

lh_source_md5sum(1)

lh_source_net(1)

lh_source_tar(1)

lh_source_usb-hdd(1)

lh_testroot(1)
    ensure that a system is built as root

If a program's name starts with "lh_", and the program is not on the above list, then it is not part of the live-helper package, but it should still work like the other programs described on this page.

LIVE-HELPER CONFIG FILES
Many live-helper commands make use of files in the config/ directory to control what they do. Besides the common config/common, which is used by all live-helper commands, some additional files can be used to configure the behavior of specific live-helper commands. These files are typically named config/stage or config/stage_helper (where "stage" of course, is replaced with the name of the stage that they belong to, and "helper" with the name of the helper).

For example, lh_bootstrap_debootstrap uses files named config/bootstrap and config/bootstrap_debootstrap to read the options it will use. See the man pages of individual commands for details about the names and formats of the files they use. Generally, these files contain variables with values assigned, one variable per line. Some programs in live-helper use pairs of values or slightly more complicated variable assignements.

Note that live-helper will respects environment variables which are present in the context of the shell it is running. If variables can be read from config files, then they override environment variables, and if command line options are used, they override values from config files. If no value for a given variable can be found and thus is unset, live-helper will automatically set it to the default value.

In some rare cases, you may want to have different versions of these files for different architectures or distributions. If files named config/stage.arch or config/stage_helper.arch, and config/stage.dist or config/stage_helper.dist exists, where "arch" is the same as the output of "dpkg --print-architecture" and "dist" is the same as the codename of the target distribution, then they will be used in preference to other, more general files.

All config files are shell scripts which are sourced by a live-helper program. That means they have to follow the normal shell syntax. You can also put comments in these files; lines beginning with "#" are ignored.

SHARED LIVE-HELPER OPTIONS
The following command line options are supported by all live-helper programs.

-h, --help
    display help and exit.

-u, --usage
    show usage and exit.

-v, --version
    output version information and exit.

COMMON LIVE-HELPER OPTIONS
The following command line options are supported by some live-helper programs. See the man page of each program for a complete explanation of what each option does.

--breakpoints
    run with breakpoints.

--conffile
    use custom configuration file.

--debug
    show debug information.

--force
    force helper execution, even if stage file exists.

--quiet
    be quiet.

--verbose
    be verbose.

SEE ALSO
live-initramfs(7)

live-initscripts(7)

live-webhelper(7)

BUGS
Report bugs against live-helper <http://packages.qa.debian.org/live-helper>.

HOMEPAGE
More information about the Debian Live project can be found at <http://debian-live.alioth.debian.org/> and <http://wiki.debian.org/DebianLive/>.

AUTHOR
live-helper was written by Daniel Baumann <daniel@debian.org> for the Debian project.